<template>
  <incumplimientos-seccion-responsable
    :loadingTitle="loadingTitle"
    :loadingContent="loadingContent"
    :titleNotFound="titleNotFound"
    :contentNotFound="contentNotFound"
    :data="data"
    @responsable="onResponsable"
    @seccion="onSeccion"
  />
</template>
<script>
import IncumplimientosSeccionResponsable from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/IncumplimientosSeccionResponsable.vue";
import store from "@/store";
const axios = store.state.axiosApiLocal;
var responsableSelec="";
var seccionSelec=0;
export default {
  name: "Component-No6InclumplientoSeccionResponsableImpl",
  props: ["filters"],
  components: {
    IncumplimientosSeccionResponsable,
  },
  data() {
    return {
      loadingTitle: true,
      loadingContent: true,
      titleNotFound: false,
      contentNotFound: false,
      data: {
        descripcion: null,
        secciones: [],
        responsables: [],
        values: [],
        responsable: null,
        modulo:null,
      },
    };
  },
  watch: {
    filters(val) {
      this.getData();
      
    },
  },
  methods: {

    getGrafica() {
      axios(
        "/sistema-informacion/tablero/graficas/v1/clave/red-unica-top-incumplimientos-seccion-responsable"
      )
        .then((response) => {
          let data = response.data;
          if (data) {
            this.data = Object.assign(this.data, data.resultado);
          }
        })
        .catch((error) => {
          this.titleNotFound = true;
          console.log(error);
        })
        .finally(() => {
          this.loadingTitle = false;
        });
    },
    getSecciones() {
      axios
        .post(
          "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
            this.filters.path.idDisciplina +
            "/red-unica/filtros/secciones/incumplimientos/busquedas",
          this.filters.request
        )
        .then((response) => {
          let data = response.data;
          if (data) {
            this.data.secciones = data.resultado.seccionesIncumplimiento;
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(() => {});
    },
    getResponsables() {
      axios
        .post(
          "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
            this.filters.path.idDisciplina +
            "/red-unica/filtros/responsables/incumplimientos/busquedas",
          this.filters.request
        )
        .then((response) => {
          let data = response.data;
          if (data) {
            this.data.responsables = data.resultado.responsablesIncumplimiento;
            
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(() => {});
    },
    getData() {
      this.loadingContent = true;
      this.contentNotFound = false;
      this.getSecciones();
      this.getResponsables();
      
      
      this.loadingContent = false;

    },
    
   
    onResponsable(val){
     
     //getConsulta2(val);
     this.responsable=val.descripcion;
     

     let responsable =val.descripcion;
      let modulo=this.modulo;
      
      let finalFilters={
        ...this.filters.request,
        responsable,
        modulo,
      };
      
      
      if(modulo!=null){
        this.loadingContent = true;
        this.contentNotFound = false;
        axios
          .post(
            "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
              this.filters.path.idDisciplina +
              "/red-unica/secciones/responsable/incumplimientos/busquedas",
            finalFilters
          )
          .then((response) => {
            let data = response.data;
            if (data) {
              let incumplimientosSeccionResponsableRedUnica =
                data.resultado.incumplimientosSeccionResponsableRedUnica;
              this.data.values = [];
              incumplimientosSeccionResponsableRedUnica.forEach((element) => {
                this.data.values.push({
                  idSeccion: element.idSeccion,
                  idResponsable: element.responsable,
                  total: element.puntosVenta,
                  porcentaje: element.porcentaje + "%",
                  descripcion: element.descripcion,
                });
              });
            }
          })
          .catch((error) => {
            //this.contentNotFound = true;
            console.log(error);
          })
          .finally(() => {
            this.loadingContent = false;
          });
      }

   },
   onSeccion(val){
     //console.log(val);
     this.modulo=""+val.idSeccion;
     

     var responsable =this.responsable;
      var modulo=this.modulo;
      let finalFilters={
        ...this.filters.request,
        responsable,
        modulo,
      };
      
      if(responsable!=null){
        this.loadingContent = true;
          this.contentNotFound = false;
          axios
            .post(
              "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
                this.filters.path.idDisciplina +
                "/red-unica/secciones/responsable/incumplimientos/busquedas",
              finalFilters
            )
            .then((response) => {
              let data = response.data;
              if (data) {
                let incumplimientosSeccionResponsableRedUnica =
                  data.resultado.incumplimientosSeccionResponsableRedUnica;
                this.data.values = [];
                incumplimientosSeccionResponsableRedUnica.forEach((element) => {
                  this.data.values.push({
                    idSeccion: element.idSeccion,
                    idResponsable: element.responsable,
                    total: element.puntosVenta,
                    porcentaje: element.porcentaje + "%",
                    descripcion: element.descripcion,
                  });
                });
              }
            })
            .catch((error) => {
              //this.contentNotFound = true;
              console.log(error);
            })
            .finally(() => {
              this.loadingContent = false;
            });
      }
   },
  },
  created() {
    this.getGrafica();
  },
};
</script>
